<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.undertow.server.host.setting.console-access-log.attributes">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="authentication-type,bytes-sent,date-time,host-and-port,local-ip,local-port,local-server-name,path-parameter,predicate,query-parameter,query-string,relative-path,remote-host,remote-ip,remote-user,request-header,request-line,request-method,request-path,request-protocol,request-scheme,request-url,resolved-path,response-code,response-header,response-reason-phrase,response-time,secure-exchange,ssl-cipher,ssl-client-cert,ssl-session-id,stored-response,thread-name,transport-protocol"/>
        <elem name="complex-attribute" value="attributes"/>
        <elem name="addr-params" value="profile,subsystem,server,host,setting"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <refs>
        <ref feature="subsystem.undertow.server.host.setting.console-access-log"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="server" feature-id="true"/>
        <param name="local-ip" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="authentication-type" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="transport-protocol" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="relative-path" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="remote-user" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="request-path" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="request-url" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="setting" feature-id="true" default="console-access-log"/>
        <param name="resolved-path" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="stored-response" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="response-code" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="local-port" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="predicate" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="request-line" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="request-header" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="remote-ip" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="request-scheme" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="response-header" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="query-parameter" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="local-server-name" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="remote-host" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="host-and-port" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="date-time" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="secure-exchange" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="query-string" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="response-reason-phrase" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="response-time" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="request-protocol" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="ssl-cipher" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="ssl-client-cert" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="bytes-sent" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="thread-name" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="request-method" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="ssl-session-id" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
        <param name="path-parameter" nillable="true" default="&quot;{&quot;remote-host&quot; =&gt; {},&quot;remote-user&quot; =&gt; {},&quot;date-time&quot; =&gt; {},&quot;request-line&quot; =&gt; {},&quot;response-code&quot; =&gt; {},&quot;bytes-sent&quot; =&gt; {}}&quot;"/>
    </params>
</feature-spec>